
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>元数据与IL简介 / iVAN</title>

    <meta name="description" content="元数据与IL简介 1.3.2       元数据 元数据是描述数据的数据.在CLR的上下文中,元数据表示由描述符组成的一套体系,这些操作符包括了在一个模块中被声明或引用的所有项.由于CLR模型是面向对象的,因此在元数据中描述的项是类和它们的成员,以及它们伴随着的特性.属性和关联.本节简单地介绍元数据,与原数据安全相关的内容会在后续章节中继续讲解,元数据的详细内容不在本书的论述范围之内. 元数据实际上是一块二进制数据,包含了三种表:定义表.引用表和清单表. 元数据定义表主要是模块定义.类型定义.方法定义.字段定义.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">元数据与IL简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.3.2       元数据</p>
<p>元数据是描述数据的数据。在CLR的上下文中，元数据表示由描述符组成的一套体系，这些操作符包括了在一个模块中被声明或引用的所有项。由于CLR模型是面向对象的，因此在元数据中描述的项是类和它们的成员，以及它们伴随着的特性、属性和关联。本节简单地介绍元数据，与原数据安全相关的内容会在后续章节中继续讲解，元数据的详细内容不在本书的论述范围之内。</p>
<p>元数据实际上是一块二进制数据，包含了三种表：定义表、引用表和清单表。</p>
<p>元数据定义表主要是模块定义、类型定义、方法定义、字段定义、事件定义、参数定义、属性定义等一系列定义表的集合。当编译器编译代码时，所有定义的内容都会生成对应的定义表。</p>
<p>元数据引用表用于记录编译器中源代码引用的类型、方法、字段、事件。常用的引用表如：AssemblyRef（程序集引用表）、ModuleRef（模块引用表）、TypeRef（类型引用表）等。</p>
<p>元数据清单表包含了组成程序集所需要的所有信息，同时包含了对其他程序集的引用信息。它明确地指出了哪些条目可以对外开放，哪些条目只可以在程序集内部进行访问。</p>
<p>下面通过经典的HelloWorld程序简要分析其中的元数据信息，如代码清单1-7所示。</p>
<p>代码清单1-7 HelloWorld程序代码</p>
<pre>
using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;

namespace HelloWorld

{

    class Program

    {

        static void Main(string[] args)

        {

            Console.WriteLine("Hello World!");

            Console.Read();

        }

    }

}</pre>
<p>下面使用反汇编工具ILDasm打开HelloWorld.exe，双击MANIFEST，图1-7为查看清单信息的截图。ILDasm的使用方法和参数说明请读者参考MSDN文档。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTk1NjEwNEY5LTAuZ2lm.jpg"></p>
<p>图1-7  查看程序清单信息</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索数据<br />
                    ，                元数据<br />
                    ，                程序<br />
                    ，                helloworld<br />
                    ，                代码<br />
                    ，                清单<br />
                                    信息<br />
                                    元数据与数据元的区别、主数据与元数据、元数据与主数据区别、数据元与元数据、数据字典与元数据，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:43:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%b8%85%e5%8d%95/" title="清单">清单</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e6%95%b0%e6%8d%ae/" title="元数据">元数据</a>, <a href="https://www.iamivan.net/tag/helloworld/" title="helloworld">helloworld</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>元数据与IL简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7Lewb.html" rel="bookmark">&lbrack;你必须知道的&period;NET&rsqb;第二十六回：认识元数据和IL（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				书接上回: 第二十四回:认识元数据和IL(上) , 第二十五回:认识元数据和IL(中) 我们继续. 终于到了,说说元数据和IL在JIT编译时的角色了,虽然两个回合的铺垫未免铺张,但是却丝毫不为过,因为只有充分的认知才有足够的体会,技术也是如此.那么,我们就开始沿着方法调用的轨迹,追随元数据和IL在那个神秘瞬间所贡献的力量吧 5 元数据和IL在JIT编译时 CLR最终执行的只有本地机器码,所以JIT编译的作用是在运行时将IL代码解析为机器码执行.对于JIT编译,我们会以专门的篇幅来全面了解,本文只			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7J51M.html" rel="bookmark">&lbrack;你必须知道的&period;NET&rsqb;第二十五回：认识元数据和IL（中）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				书接上回[第二十四回:认识元数据和IL(上)],我们对PE文件.程序集.托管模块,这些概念与元数据.IL的关系进行了必要的铺垫,同时顺便熟悉了以ILDASM工具进行反编译的基本方法认知,下面是时候来了解什么是元数据,什么是IL这个话题了,我们继续. 很早就有说说Metadata(元数据)和IL(中间语言)的想法了,一直在这篇开始才算脚踏实地的对这两个阶级兄弟投去些细关怀,虽然来得没有&lt;第一回:恩怨情仇:is和as&gt;那么迅速,但是Metadata和IL却是绝对重量级的内容,值得我们在任何时间关注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEln9qz.html" rel="bookmark">&lbrack;你必须知道的&period;NET&rsqb;第二十四回：认识元数据和IL（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说在,开篇之前 很早就有说说Metadata(元数据)和IL(中间语言)的想法了,一直在这篇开始才算脚踏实地的对这两个阶级兄弟投去些细关怀,虽然来得没有&lt;第一回:恩怨情仇:is和as&gt;那么迅速,但是Metadata和IL却是绝对重量级的内容,值得我们在任何时间关注,本文就是开始. 1 引言 你可曾想到,我们的C#代码,编译之后究竟为何物?你可曾认知,我们的可执行程序,运行之时的轨迹究竟为哪般?那么,本文通过对Metadata(元数据)和IL(Intermediate Language, 中间语			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLwAOz.html" rel="bookmark">详解&period;NET IL代码（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍IL代码,内容大部分来自网上,进行整理合并的. 一.IL简介 为什么要了解IL代码? 如果想学好.NET,IL是必须的基础,IL代码是.NET运行的基础,当我们对运行结果有异议的时候,可以通过IL代码透过表面看本质:IL也是更好理解.认识CLR的基础:大量的实例分析是以IL为基础的,所以了解IL,是读懂他人代码的必备基础,同时自己也可以获得潜移默化的提高: 什么是IL?  IL是.NET框架中中间语言(Intermediate Language)的缩写.使用.NET框架提供的编译器可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo69GVz.html" rel="bookmark">&lbrack;你必须知道的&period;NET&rsqb;第十四回：认识IL代码---从开始到现在</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将介绍以下内容: ·IL代码分析方法 ·IL命令解析 ·.NET学习方法论 1.引言 自从『你必须知道.NET』系列开篇以来,受到大家很多的关注和支持,给予了anytao巨大的鼓励和动力.俱往昔,我发现很多的园友都把目光和焦点注意在如何理解IL代码这个问题上.对我来说,这真是个莫大的好消息,因为很明显我们的思路慢慢的从应用向底层发生着转变,技巧性的东西是一个方面的积累,底层的探索在我认为也是必不可少的修炼.如果我们选择了来关注这项修炼,那么我们就应该选择如何来着手这项修炼,首先关注anyta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boxBEM.html" rel="bookmark">是不是这个：ADO&plus; 引导数据种类的演变  &lpar;转自 ms 一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|数据 利用 .NET 框架简化发布和解决 DLL Hell 问题Steven Pratschner Microsoft Corporation 2000年9月 摘要: 本文介绍汇编概念并说明 .NET 框架如何使用汇编解决版本和发布问题. 目录 简介 问题叙述 解决方案的特性 汇编:积木 版本与共享 版本策略 发布 摘要 -------------------------------------------------------------------------------- 简介			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzV5e4p.html" rel="bookmark">利用 &period;NET 框架简化发布和解决 DLL Hell 问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决|问题 摘要: 本文介绍汇编概念并说明 .NET 框架如何使用汇编解决版本和发布问题. 目录 简介 问题叙述 解决方案的特性 汇编:积木 版本与共享 版本策略 发布 摘要 -------------------------------------------------------------------------------- 简介 Microsoft .NET 框架介绍了几个新功能,旨在简化应用程序发布和解决 DLL Hell.最终用户和开发人员都熟悉版本和发布问题,这些问题会伴随着如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlnXDz.html" rel="bookmark">ASP&period;NET vs ASP&mdash;&mdash;编译与解释的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|编译|区别 2000年6月Microsoft公司发布.NET计划以来,使编程工作在业界中引起了一次划时代的革命.ASP.NET是.NET计划中的一个重要组成部分,其为Web应用程序开发人员提供了许多新特性,这些特性包括已编译的服务器端代码.一种将服务器端逻辑与客户端布局相分离的代码隐藏(code-behind)技术.可扩展的服务器端控件模型.设计数据绑定模型.xcopy部署以及客户和服务器上的窗体身份证验证支持等. ASP.NET作为一种先进的Web应用程序开发技术,相对于ASP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbakL2p.html" rel="bookmark">ASP&period;NET与ASP编译与解释的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|编译|区别     2000年6月Microsoft公司发布.NET计划以来,使编程工作在业界中引起了一次划时代的革命.ASP.NET是.NET计划中的一个重要组成部分,其为Web应用程序开发人员提供了许多新特性,这些特性包括已编译的服务器端代码.一种将服务器端逻辑与客户端布局相分离的代码隐藏(code-behind)技术.可扩展的服务器端控件模型.设计数据绑定模型.xcopy部署以及客户和服务器上的窗体身份证验证支持等.     ASP.NET作为一种先进的Web应用程序开发技			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxWKGb.html" rel="bookmark" class="title">DPI设置过大如何还原</a>
					<div>
						现在的消费类电子设备屏幕越做越小,分辨率却反而在往上增加,例如 Surface Pro,10.6 寸的屏 幕,1080p 的全高清显示,会让 Windows 显示的文字变得异常的小.这个现象其实是因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlWjOb.html" rel="bookmark" class="title">实例解析一款针对IE6的CSS hack用法</a>
					<div>
						本文通过实例向大家描述一下IE6的CSS hack用法,我们以一个LOGO为实例,讲解了针对IE6,应用CSS HACK设置有别于IE7和FF的效果.具体内容请看本文详细介绍,相信本文介绍一定会让你有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4dd1z.html" rel="bookmark" class="title">桌面管理软件趋势&colon;更智能化更人性化更简洁化</a>
					<div>
						文章描述:桌面管理会是怎样一个趋势?更智能化?更人性化?更简洁化? 最近收集和整理了一些桌面管理软件,才发现到桌面世界之丰富精彩,无奇不有.下图的ICON大家能叫出几款软件的名字呢?下面就几款比较有特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4mQJb.html" rel="bookmark" class="title">从无到有的打造产品&colon;产品设计的流程图</a>
					<div>
						文章描述:如图所示,一个产品从无到有主要经历了:项目前期准备,项目规划,市场校验,产品发布,四个阶段.       在&lt;&lt;如何把控产品 - 产品管理全流程解析&gt;&gt;一文中,和大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKREmM.html" rel="bookmark" class="title">IPtables的NAT原理和配置</a>
					<div>
						NAT一般情况下分为SNAT,DNAT和PNAT 此篇主要讲述的是使用iptables配置NAT,所以这3种NAT的区别和应用场景就简单的说明一下 SNAT:源地址转换 目标地址不变,重新改写源地址, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOWJLM.html" rel="bookmark" class="title">QQ五笔输入法的翻页键快捷键是什么</a>
					<div>
						  QQ五笔输入法的翻页键快捷键是减号等号(-=)(默认).逗号句号(,.).分号引号(:&quot;).中括号([]),可以在(设置)→(按键设置)中进行修改.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M621ZOM.html" rel="bookmark" class="title">DISM修改WDS启动镜像</a>
					<div>
						  前些日子在做windows OS自动部署的各种测试,用的是微软免费的WDS功能,因为是测试,在抓捕模板的时候,参数基本不变,为了避免每次捕获模板都需要手动敲入参数,这里我用自动应答文件提前将参数写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwok4b.html" rel="bookmark" class="title">什么是Tablet PC，Tablet PC有什么功能呢？</a>
					<div>
						现如今,输入法作为电脑.智能手机输入文字的必备工具,越来越受到众多互联网公司的重视.在Windows7中除集成了微软拼音输入法,还提供了Tablet PC输入面板工具,既可以手写,还可以词组联想,功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24j9rp.html" rel="bookmark" class="title">PHP 分页原理分析，大家可以看看&lowbar;php技巧</a>
					<div>
						1.前言 分页显示是一种非常常见的浏览和显示大量数据的方法,属于web编程中最常处理的事件之一.对于web编程的老手来说,编写这种代码实在是和呼吸一样自然,但是对于初学者来说,常常对这个问题摸不着头绪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6rJxb.html" rel="bookmark" class="title">c&plus;&plus;-0-1背包问题（动态规划）</a>
					<div>
						问题描述 0-1背包问题(动态规划) 代码敲出来了但是提交是错的,我也不知道为什么了,题目和代码都在下面,帮我看看吧!!! 题目如下: Problem Description 给定n种物品和1个背包, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nrmnz.html" rel="bookmark" class="title">cygwin中用rpm -ivh 安装一直提示command not found为什么</a>
					<div>
						问题描述 cygwin中用rpm -ivh 安装一直提示command not found为什么 $ rpm -ivh avarice-2.4-1.cygwin.i386.rpm bash: rpm: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAv0GM.html" rel="bookmark" class="title">go的websocket实现</a>
					<div>
						websocket分为握手和数据传输阶段,即进行了HTTP握手 + 双工的TCP连接 RFC协议文档在:http://tools.ietf.org/html/rfc6455 握手阶段 握手阶段就是普通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeVEwb.html" rel="bookmark" class="title">Git协作流程</a>
					<div>
						Git 作为一个源码管理系统,不可避免涉及到多人协作. 协作必须有一个规范的流程,让大家有效地合作,使得项目井井有条地发展下去.&quot;协作流程&quot;在英语里,叫做&quot;workflo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rOaKp.html" rel="bookmark" class="title">公共技术点之 Java 注解 Annotation</a>
					<div>
						转自  :http://codekk.com/open-source-project-analysis/detail/Android/Trinea/%E5%85%AC%E5%85%B1%E6%8A%8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7O7qp.html" rel="bookmark" class="title">需要解答&hellip;&hellip;&hellip;～-vb&period;net访问js中的函数</a>
					<div>
						问题描述 vb.net访问js中的函数 vb.net和百度地图交互时,怎样直接调用avascript中的函数,达到操作百度地图的效果????? 解决方案 通过webbrowser访问 webBrows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqXWvz.html" rel="bookmark" class="title">apache开启&period;htaccess及&period;htaccess的使用方法&lowbar;Linux</a>
					<div>
						今天本地调试PHP程序,用到了.htaccess,而默认配置里面开启.htaccess,在网上找到了开启.htaccess的可行方法,供朋友们借鉴.(开启的我他的方法不行,查找了一下AllowOver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYqm0p.html" rel="bookmark" class="title">app中增加客服系统入口</a>
					<div>
						问题描述 在app中怎么接入环信客服系统?(app中增加客服系统入口) 解决方案 很好,谢谢你啊,辛苦了~~static/image/common/sigline.gif90%打工小伙一生都不可能知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZnB7z.html" rel="bookmark" class="title">浅析建设百度文库外链的好处和注意事项</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多站长都知道百度知道,百度词条的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydNgJb.html" rel="bookmark" class="title">LOL新英雄纳尔上单怎么打？设计师亲自解读</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;  [ 科技讯]8月1日消息,LOL新英雄小个子GNAR已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQQvVp.html" rel="bookmark" class="title">杭电建新型教学实训平台，引入阿里云云效走进高校课堂</a>
					<div>
						阿里云云效是阿里巴巴新近推出的基于 Work Like Allibaba 理念的一站式企业协同研发云平台,其源于阿里巴巴多年先进的管理理念和工程实践,提供从&quot;需求-&gt;开发-&gt;测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkX60M.html" rel="bookmark" class="title">一个五年会员的点评故事</a>
					<div>
						--记大众点评会员美巍子看到好吃好玩的,你是否想拿出来与人分享?或是极力的推荐给身边的亲朋好友?口口相传确实是最有说服力的,但是在网络信息化的现代社会里,利用手头上的智能设备,在社区中形成强大的凝聚力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAQwEb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;乱&rdquo;字诀仍将主导市场</a>
					<div>
						笔者在上周的文章曾经指出,2600点该不该&quot;恐高&quot;在一定程度上其实是个伪命题,因为&quot;恐高&quot;与否不能完全取决于点位,主要取决于&quot;局势&quot;,还取决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RG3Wz.html" rel="bookmark" class="title">盛世骄阳率先降低热播剧的发行价格</a>
					<div>
						近日盛世骄阳公司创始人徐蕾蕾女士在一次影视剧网络版权发行座谈会上提出&quot;理性报价,合理回归&quot;的倡议,并透露将对公司拥有的一批独家新媒体版权热播剧.偶像剧主动实行降价,以起表率作用,让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QA5Bp.html" rel="bookmark" class="title">推广树立品牌形象的同时，海外文化差异不容忽视</a>
					<div>
						[TechWeb报道]4月13日消息,巨人旗舰游戏&lt;征途2S&gt;在纽约.日本等地推广的一系列海外广告,引起业界普遍关注,对于巨人此次全球性的品牌营销举措,全国青联委员王永持不同意见,他认为在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nrlxp.html" rel="bookmark" class="title">从Table向Css过渡的优缺点比较&lowbar;经验交流</a>
					<div>
						CSS布局提倡者的声音正被&quot;表格布局的优点&quot;的声音所覆盖.一个荒诞的说法是CSS是难学的.事实上,CSS一点也不比其他网页技术难.问题在于:对于表格设计已经相当有经验的web设计师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QQAap.html" rel="bookmark" class="title">高质量PHP代码的50个实用技巧必备（上）&lowbar;php技巧</a>
					<div>
						50个高质量PHP代码的实用技巧,希望大家喜欢. 1.不要使用相对路径 常常会看到: require_once('../../lib/some_class.php'); 该方法有很多缺点: 它首先查找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOeWDb.html" rel="bookmark" class="title">android中利用ImageView 图片循环播放</a>
					<div>
						xml  代码如下 复制代码 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLjNVM.html" rel="bookmark" class="title">JavaScript实现删除&comma;移动和复制文件的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript实现删除,移动和复制文件的方法.分享给大家供大家参考.具体如下: 这里利用JavaScript删除.移动和复制文件,运行前请确保文件已经存在,比如在C盘建立test. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0r97p.html" rel="bookmark" class="title">Java并发编程示例&lpar;九&rpar;：本地线程变量的使用&lowbar;java</a>
					<div>
						共享数据是并发程序最关键的特性之一.对于无论是继承Thread类的对象,还是实现Runnable接口的对象,这都是一个非常周重要的方面. 如果创建了一个实现Runnable接口的类的对象,并使用该对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm8anp.html" rel="bookmark" class="title">黑马北控清洁能源争夺行业龙头目标能实现吗？</a>
					<div>
						2016年末,北控清洁能源股份有限公司大举进入分布式光伏发电市场,其在全国设立十一个区域,从行业招募大批有丰富开发经验人才,并采取了些较接地气的创新开发方案,一时间在行业掀起阵阵风浪:据业内人士透露, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
